<%@page language="java" import="java.util.*,java.text.*,com.homeautomationguru.intellihome.location.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<%
	Position position = (Position)request.getAttribute("position");
	String centerLat = (String)request.getAttribute("cLat");
	String centerLon = (String)request.getAttribute("cLon");
%>

<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta id="viewport" name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<title>Intellihome - Location</title>
	<link rel="stylesheet" href="css/iphone.css" />
	<link rel="apple-touch-icon" href="images/apple-touch-icon.png" />
	 <style>
      #map_canvas {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 200px;
        border: 1px solid;
      }
    </style>
    
	<script type="text/javascript" charset="utf-8">
		window.onload = function() {
		  setTimeout(function(){window.scrollTo(0, 1);}, 100);
		}
	</script>

	<script language="javascript"> 
	<!--
	var state = 'none';

	function showhide(layer_ref) {

	if (state == 'block') { 
	state = 'none'; 
	} 
	else { 
	state = 'block'; 
	} 
	if (document.getElementById &&!document.all) { 
	hza = document.getElementById(layer_ref); 
	hza.style.display = state; 
	} 
	} 
	//--> 
	</script>
    <script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=true"></script>
    <script>
    // turn on visual refresh
	  google.maps.visualRefresh = true;
    
      var map;
      var LatLong = new google.maps.LatLng(<%=centerLat%>, <%=centerLon%>);
      function initialize() {
        var mapOptions = {
          zoom: <%=request.getAttribute("zoomLevel")%>,
          center: LatLong,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        map = new google.maps.Map(document.getElementById('map_canvas'),
            mapOptions);

      }

		orientationChange = function() {
			var height = window.innerHeight - 300;
			document.getElementById("map_canvas").style.height=""+height+"px";
		}
		
		window.addEventListener('orientationchange', orientationChange, false);  
	    google.maps.event.addDomListener(window, 'load', initialize);
	    google.maps.event.addDomListener(window, 'load', orientationChange);
	    
    </script>
</head>

<body>
	
	<div id="header">
		<h1>Location</h1>
		<a href="/action" class="nav" id="backButton">Back</a>
		<a class="nav Action" onclick="reloadValues();" href="#">Reload</a>
	</div>

	<ul class="map" id="map_container">
    <li><div id="map_canvas"></div></li>
	</ul>
<form name="paramForm" id="paramForm" action="/action" method="get">
	<input type="hidden" name="action" value="location"/>
	<input type="hidden" id="zoomLevel" name="zoomLevel" value="<%=request.getAttribute("zoomLevel")%>"/>
	<input type="hidden" id="cLat" name="cLat" value="<%=centerLat%>"/>
	<input type="hidden" id="cLon" name="cLon" value="<%=centerLon%>"/>
	<ul class="data">
		<li><p>Dates: 	<input name="startDate" type="date" value="<%=request.getAttribute("startDate")%>" /> - <input name="endDate" type="date" value="<%=request.getAttribute("endDate")%>" /></p></li>
		<li><p>Points: <select name="numPoints"><option value="1000"><%=request.getAttribute("numPoints")%></option><option value="2000">2000</option><option value="5000">5000</option><option value="10000">10000</option><option value="20000">20000</option></select></p></li>
		<li><p>Last Location: None Found</p></li>
	</ul>
</form>

<script>
reloadValues = function() {
	var form = document.getElementById('paramForm');
	var c = map.getCenter();
	form.cLat.value = c.lat();
	form.cLon.value = c.lng();
	form.zoomLevel.value=map.getZoom();
	form.submit();
}
</script>

</body>
</html>
